Bug 1040434 (python-webcolors) - Review Request: python-webcolors - A library for working with HTML and CSS color names and value formats
Summary: Review Request: python-webcolors - A library for working with HTML and CSS co...
Keywords:
Status: CLOSED ERRATA
Alias: python-webcolors
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-11 12:30 UTC by Dridi Boukelmoune
Modified: 2014-04-07 03:27 UTC (History)
2 users (show)

Fixed In Version: python-webcolors-1.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-07 03:27:23 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dridi Boukelmoune 2013-12-11 12:30:58 UTC
Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-webcolors.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/python-webcolors-1.4-1.fc19.src.rpm
Description:
A library for working with color names and color value formats defined by the
HTML and CSS specifications for use in documents on the Web.

Support is included for the following formats (RGB colorspace only; conversion
to/from HSL can be handled by the colorsys module in the Python standard
library):
* Specification-defined color names
* Six-digit hexadecimal
* Three-digit hexadecimal
* Integer rgb() triplet
* Percentage rgb() triplet

Fedora Account System Username: dridi

Comment 1 Miro Hrončok 2013-12-17 15:01:03 UTC
This package is APPROVED.

(The only issue is that the date in %changelog differs in SRPM and SPEC and that will be not possible in git.)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-webcolors-1.4-1.fc20.noarch.rpm
          python3-webcolors-1.4-1.fc20.noarch.rpm
          python-webcolors-1.4-1.fc20.src.rpm
python-webcolors.noarch: W: spelling-error %description -l en_US colorspace -> color space, color-space, colors pace
python-webcolors.noarch: W: spelling-error %description -l en_US colorsys -> colors, colorways
python-webcolors.noarch: W: spelling-error %description -l en_US rgb -> rib, rob, rub
python3-webcolors.noarch: W: spelling-error %description -l en_US colorspace -> color space, color-space, colors pace
python3-webcolors.noarch: W: spelling-error %description -l en_US colorsys -> colors, colorways
python3-webcolors.noarch: W: spelling-error %description -l en_US rgb -> rib, rob, rub
python-webcolors.src: W: spelling-error %description -l en_US colorspace -> color space, color-space, colors pace
python-webcolors.src: W: spelling-error %description -l en_US colorsys -> colors, colorways
python-webcolors.src: W: spelling-error %description -l en_US rgb -> rib, rob, rub
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-webcolors python-webcolors
python3-webcolors.noarch: W: spelling-error %description -l en_US colorspace -> color space, color-space, colors pace
python3-webcolors.noarch: W: spelling-error %description -l en_US colorsys -> colors, colorways
python3-webcolors.noarch: W: spelling-error %description -l en_US rgb -> rib, rob, rub
python-webcolors.noarch: W: spelling-error %description -l en_US colorspace -> color space, color-space, colors pace
python-webcolors.noarch: W: spelling-error %description -l en_US colorsys -> colors, colorways
python-webcolors.noarch: W: spelling-error %description -l en_US rgb -> rib, rob, rub
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/churchyard/rpmbuild/FedoraReview/1040434-python-webcolors/srpm/python-webcolors.spec	2013-12-17 15:45:49.214553089 +0100
+++ /home/churchyard/rpmbuild/FedoraReview/1040434-python-webcolors/srpm-unpacked/python-webcolors.spec	2013-12-11 08:29:31.000000000 +0100
@@ -63,4 +63,4 @@
 
 %changelog
-* Wed Dec 11 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.4-1
+* Mon Dec 09 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.4-1
 - Initial spec


Requires
--------
python3-webcolors (rpmlib, GLIBC filtered):
    python(abi)

python-webcolors (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-webcolors:
    python3-webcolors

python-webcolors:
    python-webcolors



Source checksums
----------------
https://pypi.python.org/packages/source/w/webcolors/webcolors-1.4.tar.gz :
  CHECKSUM(SHA256) this package     : 304fc95dab2848c7bf64f378356766e692c2f8b4a8b15fa3509544e6412936e8
  CHECKSUM(SHA256) upstream package : 304fc95dab2848c7bf64f378356766e692c2f8b4a8b15fa3509544e6412936e8


Generated by fedora-review 0.4.0 (eaf16cd) last change: 2013-05-30
Command line :./try-fedora-review -b 1040434
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Dridi Boukelmoune 2013-12-17 20:40:38 UTC
New Package SCM Request
=======================
Package Name: python-webcolors
Short Description: A library for working with HTML and CSS color names and value formats
Owners: dridi
Branches: f19 f20
InitialCC:

Comment 3 Gwyn Ciesla 2013-12-18 12:51:09 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-03-28 19:40:47 UTC
python-webcolors-1.4-1.fc19,python-funcparserlib-0.3.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-webcolors-1.4-1.fc19,python-funcparserlib-0.3.6-2.fc19

Comment 5 Fedora Update System 2014-03-28 19:41:04 UTC
python-webcolors-1.4-1.fc20,python-funcparserlib-0.3.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-webcolors-1.4-1.fc20,python-funcparserlib-0.3.6-2.fc20

Comment 6 Fedora Update System 2014-03-30 06:14:06 UTC
python-webcolors-1.4-1.fc19, python-funcparserlib-0.3.6-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 7 Fedora Update System 2014-04-07 03:27:23 UTC
python-webcolors-1.4-1.fc20, python-funcparserlib-0.3.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-04-07 03:27:48 UTC
python-webcolors-1.4-1.fc19, python-funcparserlib-0.3.6-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.